import argparse
from p2.driver.k8s.jobs import Job

parser = argparse.ArgumentParser(prog='create-job.py', description='a small script to create a job')
parser.add_argument("--context", help="Context to use")
parser.add_argument("--namespace", help="Namespace to use")
parser.add_argument("--name", help="Name to use")
parser.add_argument("--image", help="Image to use")
parser.add_argument("--cmd", help="Command to use")
parser.add_argument("--p2_store_url", help="Command to use")
parser.add_argument("--filename", help="Command to use")
parser.add_argument("--driver", help="Command to use")
parser.add_argument("--session_id", help="Command to use")
parser.add_argument("--campaign_id", help="Command to use", required=False)
parser.add_argument("--sa", help="Service account to use")

args = parser.parse_args()

print(f"Using context: {args.context}")
print(f"Using namespace: {args.namespace}")
print(f"Using name: {args.name}")
print(f"Using image: {args.image}")
print(f"Using command: {args.cmd}")
print(f"Using service account: {args.sa}")

cmd = [ args.cmd, '--p2_store_url', args.p2_store_url, '--filename', args.filename,
           '--driver', args.driver, '--session_id', args.session_id]
job_obj = Job(context=args.context, namespace=args.namespace)
ret = job_obj.create_job(image=args.image, command=cmd, name=args.name, service_account=args.sa)
print(f"Create job returned {ret}")
