from kubernetes import client, config
from kubernetes.client.models import V1ResourceAttributes, V1SelfSubjectAccessReviewSpec
from kubernetes.client.models import V1SelfSubjectAccessReview, V1SelfSubjectAccessReviewSpec
from pprint import pprint

res_attrs=V1ResourceAttributes(
        namespace='cybertron-audit-int-nft',
        group='',
        resource='pods',
        verb='delete')

try:
    config.load_kube_config()
    auth_obj=client.AuthorizationV1Api()
    pprint(auth_obj.create_self_subject_access_review(body=V1SelfSubjectAccessReview(
        api_version='authorization.k8s.io/v1',
        kind='SelfSubjectAccessReview',
        spec=V1SelfSubjectAccessReviewSpec(resource_attributes=res_attrs))
    ))
except Exception as e:
    print("Error: {}".format(e))
