from kubernetes import client, config
from kubernetes.client.models import V1ResourceAttributes, V1SelfSubjectAccessReviewSpec
from kubernetes.client.models import V1SelfSubjectAccessReview, V1SelfSubjectAccessReviewSpec, V1LocalSubjectAccessReview
from kubernetes.client.rest import ApiException
import kubernetes.client
from pprint import pprint

res_attrs=V1ResourceAttributes(namespace='cybertron-audit-int-nft', resource='deployments/scale', verb='update')

try:
    config.load_kube_config()
    auth_obj=client.AuthorizationV1Api()
    pprint(auth_obj.create_namespaced_local_subject_access_review(
        namespace='',
        dry_run='All',
        body=V1LocalSubjectAccessReview(
            api_version='authorization.k8s.io/v1',
            kind='SelfSubjectAccessReview',
            spec=V1SelfSubjectAccessReviewSpec(resource_attributes=res_attrs))
    ))
except Exception as e:
    print("Error: {}".format(e))


# with kubernetes.client.ApiClient() as api_client:
#     # Create an instance of the API class
#     api_instance = kubernetes.client.AuthorizationV1Api(api_client)
#     namespace = 'cybertron-audit-int-nft' 
# body = kubernetes.client.V1LocalSubjectAccessReview() # V1LocalSubjectAccessReview | 
# dry_run = 'dry_run_example' # str | When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
# field_manager = 'field_manager_example' # str | fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. (optional)
# pretty = 'pretty_example' # str | If 'true', then the output is pretty printed. (optional)
# 
#     try:
#         api_response = api_instance.create_namespaced_local_subject_access_review(namespace, body, dry_run=dry_run, field_manager=field_manager, pretty=pretty)
#         pprint(api_response)
#     except ApiException as e:
#         print("Exception when calling AuthorizationV1Api->create_namespaced_local_subject_access_review: %s\n" % e)
